Debian Bug report logs - #504080
RFP: courier-pythonfilter -- filter collection for the Courier MTA

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Frederik Dannemare <frederik@dannemare.net>

Date: Fri, 31 Oct 2008 09:54:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Fri, 31 Oct 2008 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Dannemare <frederik@dannemare.net>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Fri, 31 Oct 2008 09:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frederik Dannemare <frederik@dannemare.net>
To: submit@bugs.debian.org
Subject: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Fri, 31 Oct 2008 10:49:50 +0100
Package: wnpp
Severity: wishlist
Owner: "Frederik Dannemare" <frederik@dannemare.net>

Package name: courier-pythonfilter
Version: 1.4
Upstream Author: Gordon Messmer <gordon@dragonsdawn.net>
URL: http://phantom.dragonsdawn.net/~gordon/courier-pythonfilter/
License: GPL
Description: filter collection for the Courier MTA
 pythonfilter is a collection of useful filters for the Courier MTA,
 and a framework for developing new filters in Python.  If you are
 interested in developing your own filters, see the "Hacking" section
 below.
 .
 pythonfilter can be used to filter spam and viruses, as well as
 implement other local mail policies.  The individual modules are
 discussed below in the "Modules" section, and policy design is
 discussed in the "Use" section.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Mon, 15 Dec 2008 13:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Mon, 15 Dec 2008 13:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: 504080@bugs.debian.org
Subject: Re: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Mon, 15 Dec 2008 14:49:41 +0100
Hi Frederik,

Recently I've packaged Pythonfilter 1.4. It's not perfect, because I 
don't have the experiences with debianization of Python applications, 
but it works for me.

Let me know, if you're interested. I can share my work with you.

Please note that my package is named courier-filter-python. Pythonfilter 
is the most popular Python filtering framework for Courier-MTA, so it 
can be alternative for Perl implementation named courier-filter-perl.

My best regards,

Pawel Tecza




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Mon, 15 Dec 2008 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to frederik@dannemare.net:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Mon, 15 Dec 2008 17:24:04 GMT) Full text and rfc822 format available.

Message #15 received at 504080@bugs.debian.org (full text, mbox):

From: frederik@dannemare.net
To: "Paweł Tęcza" <ptecza@uw.edu.pl>, 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Mon, 15 Dec 2008 18:24:02 +0100
Hi Paweł 

I packaged courier-pythonfilter in the beginning of November and uploaded it 
to mentors.debian.net: 
http://mentors.debian.net/debian/pool/main/c/courier-pythonfilter/ 

It is in pretty good shape, is lintian clean, and I've tested the build 
process in an up-to-date sid pbuilder environment as well. I have also added 
tiny man pages for pythonfilter and pythonfilter-quarantine as well as 
written postinst and prerm scripts for starting and stopping the filter, 
plus a few other things. Furthermore, I'm using dpatch to remove "shebangs" 
where they are not appropriate. 

I filed a "request for sponsor" on the mentors list but nobody has shown 
interest as of yet: 

http://groups.google.se/group/linux.debian.devel.mentors/browse_thread/threa 
d/f53b85784e0cf30b 

I'll give it a second try in a few weeks time. 

If you're a DD yourself, please consider sponsoring it. ;) 

B/R,
Frederik Dannemare 


Paweł Tęcza writes: 

> Hi Frederik, 
> 
> Recently I've packaged Pythonfilter 1.4. It's not perfect, because I don't 
> have the experiences with debianization of Python applications, but it 
> works for me. 
> 
> Let me know, if you're interested. I can share my work with you. 
> 
> Please note that my package is named courier-filter-python. Pythonfilter 
> is the most popular Python filtering framework for Courier-MTA, so it can 
> be alternative for Perl implementation named courier-filter-perl. 
> 
> My best regards, 
> 
> Pawel Tecza 
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Mon, 15 Dec 2008 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Mon, 15 Dec 2008 21:03:05 GMT) Full text and rfc822 format available.

Message #20 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: frederik@dannemare.net
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Mon, 15 Dec 2008 21:56:54 +0100
frederik@dannemare.net pisze:
> Hi Paweł
>
> I packaged courier-pythonfilter in the beginning of November and uploaded it
> to mentors.debian.net:
> http://mentors.debian.net/debian/pool/main/c/courier-pythonfilter/

Hello again,

Thank you very much for your reply and the link! I'll take a look at
that source package tomorrow.

> It is in pretty good shape, is lintian clean, and I've tested the build
> process in an up-to-date sid pbuilder environment as well. I have also added
> tiny man pages for pythonfilter and pythonfilter-quarantine as well as
> written postinst and prerm scripts for starting and stopping the filter,
> plus a few other things. Furthermore, I'm using dpatch to remove "shebangs"
> where they are not appropriate.

It sounds very interesting for me. I didn't touch the Python sources,
only packaged them and also created postinst and prerm scripts. I'll
compare your work with mine and write to you, if I have any ideas how to
improve your package.

> I filed a "request for sponsor" on the mentors list but nobody has shown
> interest as of yet:
>
> http://groups.google.se/group/linux.debian.devel.mentors/browse_thread/threa
> d/f53b85784e0cf30b
>
> I'll give it a second try in a few weeks time.

Did you try to contact with Stefan Hornburg (Racke)? He is Debian
developer and maintaner of Courier packages for Debian. I wrote him
about my Pythonfilter package a few days ago, but I don't have any his
feedback yet.

> If you're a DD yourself, please consider sponsoring it. ;)

No, I'm not DD. Debian was my favourite Linux distro couple years ago.
Now I rather prefer Ubuntu for desktop and server and recently I've been
testing OpenSolaris on my laptop :)

Good night,

Pawel





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Mon, 15 Dec 2008 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Dannemare <frederik@dannemare.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Mon, 15 Dec 2008 22:24:04 GMT) Full text and rfc822 format available.

Message #25 received at 504080@bugs.debian.org (full text, mbox):

From: Frederik Dannemare <frederik@dannemare.net>
To: ptecza@uw.edu.pl, 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Mon, 15 Dec 2008 23:20:50 +0100
On Monday 15 December 2008 21:56, "Paweł Tęcza" wrote:
> frederik@dannemare.net pisze:
>
> Did you try to contact with Stefan Hornburg (Racke)? 

I've been thinking about asking him but haven't come around to actually 
doing it yet. :)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Tue, 16 Dec 2008 10:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Tue, 16 Dec 2008 10:18:02 GMT) Full text and rfc822 format available.

Message #30 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: frederik@dannemare.net
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Tue, 16 Dec 2008 11:13:19 +0100
Paweł Tęcza pisze:
> frederik@dannemare.net pisze:
>> It is in pretty good shape, is lintian clean, and I've tested the build
>> process in an up-to-date sid pbuilder environment as well. I have also added
>> tiny man pages for pythonfilter and pythonfilter-quarantine as well as
>> written postinst and prerm scripts for starting and stopping the filter,
>> plus a few other things. Furthermore, I'm using dpatch to remove "shebangs"
>> where they are not appropriate.
>
> It sounds very interesting for me. I didn't touch the Python sources,
> only packaged them and also created postinst and prerm scripts. I'll
> compare your work with mine and write to you, if I have any ideas how to
> improve your package.

Hi Frederic,

I've just seen your source package. I very like it. Some things you did
like me, but there are a few differences, for example I didn't know
"trick" with debian/links file. Your work is clean and smart. However I
have the couple comments:

1. Alternative dependency on courier-mta-ssl is probably redundant,
because this package depends on courier-mta.

2. You could add suggestion for python-clamav, python-dns, python-spf
packages. There can be necessary for some Pythonfilter modules.

BTW, do you use Pythonfilter greylisting with PostgreSQL support?
Recently I've been working on it, but no success. Gordon Messmer use
"mysterious" Python pgsql module, but I can't find it in any Debian
Python package for PostgreSQL support.

3. Pythonfilter 1.4 has been released under GPL v3. Please see COPYING
file. I think that it's important notice.

4. You've probably forgotten to add 30_shebang_removal.dpatch file to
debian/patches/00list file.

I've also noticed that all *.dpatch files have 755 permissions, except
of the last patch (30_shebang_removal.dpatch). It has 644.

Unfortunately I don't know nothing about dpatch support for Debian
packaging, so I'm not sure whether executable permission is necessary
for *.dpatch files. But when I'm building the binary backage, then I can
see the warning messages like below:

dpkg-source: warning: executable mode 0755 of
'debian/patches/28_shebang_removal.dpatch' will not be represented in diff

BTW, maybe better idea is to create only one big
00_shebang_removal.dpatch, instead of 30 little files?

5. I have README.Debian file with the following content. Feel free to
copy/modify it, if you think that it can be helpful for users.

courier-filter-python for Debian
--------------------------------

pythonfilter is ready to work after installation, but all its filters
are disabled by default.  Please edit /etc/pythonfilter.conf file
and enable the filters you need.  For some of them you also need to edit
/etc/pythonfilter-modules.conf file.

Next edit /etc/courier/enablefiltering file and enable mail sources
which you want to filter.

Now you are ready to courierfilter restart:

sudo courierfilter restart

Note: If you were not using any Courier mail filters (i.e. dupfilter
or perlfilter) before, then you should modify your system boot script
to run courierfilter start as soon as possible, and run courierfilter stop
during the final portion of your system shutdown script.

 -- Paweł Tęcza <ptecza@net.icm.edu.pl>  Tue, 09 Dec 2008 12:02:13 +0000

That's all :)

I guess you don't want to rename your package? ;)

Have a nice day,

Pawel





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Thu, 18 Dec 2008 09:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Thu, 18 Dec 2008 09:06:02 GMT) Full text and rfc822 format available.

Message #35 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: frederik@dannemare.net
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Thu, 18 Dec 2008 10:05:24 +0100
Paweł Tęcza pisze:

> 2. You could add suggestion for python-clamav, python-dns, python-spf
> packages. There can be necessary for some Pythonfilter modules.
>
> BTW, do you use Pythonfilter greylisting with PostgreSQL support?
> Recently I've been working on it, but no success. Gordon Messmer use
> "mysterious" Python pgsql module, but I can't find it in any Debian
> Python package for PostgreSQL support.

Hello Frederik,

I've just found Python module for PostgreSQL support of Pythofilter.
It's python-pgsql [1]. Unfortunately it hasn't been debianized yet.
Debian has python-pgsql package for long time, but it's different
package! Its real name is pypgsql [2], grrr...

I would like to make Debian package with python-pgsql. I don't know
what the best name for it is, so probably I'll contact with Debian
Python Team.

My best regards,

Pawel


[1] http://people.rpath.com/~gafton/pgsql/
[2] http://pypgsql.sourceforge.net/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Fri, 19 Dec 2008 16:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Dannemare <frederik@dannemare.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Fri, 19 Dec 2008 16:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 504080@bugs.debian.org (full text, mbox):

From: Frederik Dannemare <frederik@dannemare.net>
To: ptecza@uw.edu.pl
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Fri, 19 Dec 2008 16:58:34 +0100
On Thursday 18 December 2008 10:05, Paweł Tęcza wrote:
> I've just found Python module for PostgreSQL support of Pythofilter.
> It's python-pgsql [1]. Unfortunately it hasn't been debianized yet.
> Debian has python-pgsql package for long time, but it's different
> package! Its real name is pypgsql [2], grrr...

Ah, that kind of thing is always bloody annoying.

> I would like to make Debian package with python-pgsql. I don't know
> what the best name for it is, so probably I'll contact with Debian
> Python Team.

Yeah, or maybe try asking on the Debian mentors mailing list. The people 
there are usually full of good ideas.

B/R,
Frederik Dannemare




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Mon, 22 Dec 2008 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Mon, 22 Dec 2008 12:48:03 GMT) Full text and rfc822 format available.

Message #45 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: Frederik Dannemare <frederik@dannemare.net>
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Mon, 22 Dec 2008 13:45:07 +0100
Frederik Dannemare pisze:
> On Thursday 18 December 2008 10:05, Paweł Tęcza wrote:
>> I've just found Python module for PostgreSQL support of Pythofilter.
>> It's python-pgsql [1]. Unfortunately it hasn't been debianized yet.
>> Debian has python-pgsql package for long time, but it's different
>> package! Its real name is pypgsql [2], grrr...
>
> Ah, that kind of thing is always bloody annoying.
>
>> I would like to make Debian package with python-pgsql. I don't know
>> what the best name for it is, so probably I'll contact with Debian
>> Python Team.
>
> Yeah, or maybe try asking on the Debian mentors mailing list. The people
> there are usually full of good ideas.

Hello Frederik,

It seems that I don't need to debianize "real" python-pgsql module,
because Gordon Messmer, creator of Pythonfilter has made a patch with
psycopg2 support. We are testing it now and it should be available soon.

Have a nice day,

P.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Sat, 03 Jan 2009 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Sat, 03 Jan 2009 15:09:05 GMT) Full text and rfc822 format available.

Message #50 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: Frederik Dannemare <frederik@dannemare.net>
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Sat, 03 Jan 2009 16:04:06 +0100
Dnia 2008-12-22, pon o godzinie 13:45 +0100, Paweł Tęcza pisze:

> It seems that I don't need to debianize "real" python-pgsql module,
> because Gordon Messmer, creator of Pythonfilter has made a patch with
> psycopg2 support. We are testing it now and it should be available soon.

Hello Frederik,

Courier-Pythonfilter 1.5 with psycopg2 support is out! :)

My best regards,

P.






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Thu, 08 Jan 2009 09:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Dannemare <frederik@dannemare.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Thu, 08 Jan 2009 09:45:02 GMT) Full text and rfc822 format available.

Message #55 received at 504080@bugs.debian.org (full text, mbox):

From: Frederik Dannemare <frederik@dannemare.net>
To: ptecza@uw.edu.pl, 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Thu, 8 Jan 2009 10:41:09 +0100
On Saturday 03 January 2009 16:04, "Paweł Tęcza" wrote:
> Dnia 2008-12-22, pon o godzinie 13:45 +0100, Paweł Tęcza pisze:
> > It seems that I don't need to debianize "real" python-pgsql module,
> > because Gordon Messmer, creator of Pythonfilter has made a patch
> > with psycopg2 support. We are testing it now and it should be
> > available soon.
>
> Hello Frederik,
>
> Courier-Pythonfilter 1.5 with psycopg2 support is out! :)

Hi Paweł 

Thank you for the heads up. I'll look into it.

B/R,
Frederik




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Fri, 09 Jan 2009 10:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Fri, 09 Jan 2009 10:51:02 GMT) Full text and rfc822 format available.

Message #60 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: Frederik Dannemare <frederik@dannemare.net>
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Fri, 09 Jan 2009 11:49:47 +0100
Frederik Dannemare pisze:
> On Saturday 03 January 2009 16:04, "Paweł Tęcza" wrote:
>> Dnia 2008-12-22, pon o godzinie 13:45 +0100, Paweł Tęcza pisze:
>> > It seems that I don't need to debianize "real" python-pgsql module,
>> > because Gordon Messmer, creator of Pythonfilter has made a patch
>> > with psycopg2 support. We are testing it now and it should be
>> > available soon.
>>
>> Hello Frederik,
>>
>> Courier-Pythonfilter 1.5 with psycopg2 support is out! :)
>
> Hi Paweł
>
> Thank you for the heads up. I'll look into it.
>
> B/R,
> Frederik

Hello Frederik,

I would like to inform you that I've rebuilt your Courier-Pythonfilter
1.4 package for Ubuntu Hardy and uploaded it into our Debian packages
repo [1]. It's public available.

I did it, because someone at courier-users mailing list [2] was going to
use Courier-Pythonfilter under Ubuntu.

Now I want to upgrade your package to version 1.5. Are you working on
it? I can try to do it myself using your package as a base, if you are
too busy now.

My best regards,

P.

[1] http://gpa.net.icm.edu.pl/
[2] http://markmail.org/message/gn6eo7sdk7623wxn




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Tue, 13 Jan 2009 13:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Dannemare <frederik@dannemare.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Tue, 13 Jan 2009 13:51:02 GMT) Full text and rfc822 format available.

Message #65 received at 504080@bugs.debian.org (full text, mbox):

From: Frederik Dannemare <frederik@dannemare.net>
To: ptecza@uw.edu.pl, 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Tue, 13 Jan 2009 14:49:28 +0100
On Friday 09 January 2009 11:49, "Paweł Tęcza" wrote:
> Now I want to upgrade your package to version 1.5. Are you working on
> it? I can try to do it myself using your package as a base, if you
> are too busy now.

Hi Pawel

I just did an upload of 1.5 to mentors.debian.net. I have included some 
of the suggestions you made some time ago.

B/R,
Frederik Dannemare




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Tue, 13 Jan 2009 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Tue, 13 Jan 2009 14:09:04 GMT) Full text and rfc822 format available.

Message #70 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: Frederik Dannemare <frederik@dannemare.net>
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Tue, 13 Jan 2009 15:05:40 +0100
Frederik Dannemare pisze:
> On Friday 09 January 2009 11:49, "Paweł Tęcza" wrote:
>> Now I want to upgrade your package to version 1.5. Are you working on
>> it? I can try to do it myself using your package as a base, if you
>> are too busy now.
>
> Hi Pawel
>
> I just did an upload of 1.5 to mentors.debian.net. I have included some
> of the suggestions you made some time ago.

Hello Frederik,

Great message! Thanks a lot! Do you know that I sent RFR to
debian-python mailing list before I received your message? :)

I'm not sure whether you noticed it, but Courier-Pythonfilter has
speeded up recently. Version 1.6 with MySQL support for greylisting
should be available soon :)

My best regards,

P.






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Tue, 13 Jan 2009 15:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Tue, 13 Jan 2009 15:24:02 GMT) Full text and rfc822 format available.

Message #75 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: Frederik Dannemare <frederik@dannemare.net>
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Tue, 13 Jan 2009 16:21:16 +0100
Frederik Dannemare pisze:
> On Friday 09 January 2009 11:49, "Paweł Tęcza" wrote:
>> Now I want to upgrade your package to version 1.5. Are you working on
>> it? I can try to do it myself using your package as a base, if you
>> are too busy now.
>
> Hi Pawel
>
> I just did an upload of 1.5 to mentors.debian.net. I have included some
> of the suggestions you made some time ago.

It's me again :)

This is a detail, but you could add python-psycopg2 package to Suggests:
field. Please don't forget to suggest python-mysqldb package for
incoming Pythonfilter 1.6 :)

P.






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Fri, 23 Jan 2009 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Dannemare <frederik@dannemare.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Fri, 23 Jan 2009 10:33:03 GMT) Full text and rfc822 format available.

Message #80 received at 504080@bugs.debian.org (full text, mbox):

From: Frederik Dannemare <frederik@dannemare.net>
To: ptecza@uw.edu.pl, 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Fri, 23 Jan 2009 11:22:54 +0100
On Tuesday 13 January 2009 16:21, "Paweł Tęcza" wrote:
> Frederik Dannemare pisze:
> > On Friday 09 January 2009 11:49, "Paweł Tęcza" wrote:
> >> Now I want to upgrade your package to version 1.5. Are you working
> >> on it? I can try to do it myself using your package as a base, if
> >> you are too busy now.
> >
> > Hi Pawel
> >
> > I just did an upload of 1.5 to mentors.debian.net. I have included
> > some of the suggestions you made some time ago.
>
> It's me again :)
>
> This is a detail, but you could add python-psycopg2 package to
> Suggests: field. Please don't forget to suggest python-mysqldb
> package for incoming Pythonfilter 1.6 :)

I see that Gordon has released 1.6. I'll look into it.

B/R,
Frederik Dannemare




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Fri, 23 Jan 2009 20:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Fri, 23 Jan 2009 20:42:02 GMT) Full text and rfc822 format available.

Message #85 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: Frederik Dannemare <frederik@dannemare.net>
Cc: 504080@bugs.debian.org
Subject: Re: Bug#504080: ITP: courier-pythonfilter -- filter collection for the Courier MTA
Date: Fri, 23 Jan 2009 21:40:06 +0100
Frederik Dannemare pisze:
> On Tuesday 13 January 2009 16:21, "Paweł Tęcza" wrote:

>> This is a detail, but you could add python-psycopg2 package to
>> Suggests: field. Please don't forget to suggest python-mysqldb
>> package for incoming Pythonfilter 1.6 :)
>
> I see that Gordon has released 1.6. I'll look into it.

Great news! Thanks a lot!

My best regards,

Pawel




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Wed, 28 Jan 2009 22:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Wed, 28 Jan 2009 22:18:02 GMT) Full text and rfc822 format available.

Message #90 received at 504080@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 504080@bugs.debian.org
Cc: debian-python@lists.debian.org
Subject: Re: [RFR] Courier-Pythonfilter
Date: Wed, 28 Jan 2009 23:16:51 +0100
[Message part 1 (text/plain, inline)]
[please CC me or debian-python@l.d.o as I didn't subscribe this bug]

* 1.6 is mentioned in bug #504080, is .dsc available somewhere?
* it's "Architecture: all" package, not "any", or did I miss something?
* please merge patches 01-31 into one file
* s/Debian packaging is (C)/Debian packaging is ©
* add "${misc:Depends}" to Depends
* configure and configure-stamp rules are not needed (probably also
  build-stamp)
* consider using "include /usr/share/dpatch/dpatch.make" in debian/rules
  (it will provide "patch" and "unpatch" rules)
* dh_installexamples, dh_strip and dh_shlibdeps are not needed
* shouldn't you generate siteid using something like uuidgen in
  postinst? README mentions it...
* Please bump python-support's required build version to >= 0.6
* I don't know much about packaging stuff for Courier, but how about 
  providing python-courier package with courier module (and probably
  python-pythonfilter package with filters or maybe moving filters
  into private directory)
-- 
http://people.debian.org/~piotr/sponsor
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Thu, 05 Feb 2009 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Dannemare <frederik@dannemare.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Thu, 05 Feb 2009 12:42:04 GMT) Full text and rfc822 format available.

Message #95 received at 504080@bugs.debian.org (full text, mbox):

From: Frederik Dannemare <frederik@dannemare.net>
To: 504080@bugs.debian.org
Cc: debian-python@lists.debian.org
Subject: Re: Bug#504080: [RFR] Courier-Pythonfilter
Date: Thu, 5 Feb 2009 13:39:30 +0100
On Wednesday 28 January 2009 23:16, Piotr Ożarowski wrote:
> [please CC me or debian-python@l.d.o as I didn't subscribe this bug]
>
> * 1.6 is mentioned in bug #504080, is .dsc available somewhere?
> * it's "Architecture: all" package, not "any", or did I miss
> something? * please merge patches 01-31 into one file
> * s/Debian packaging is (C)/Debian packaging is ©
> * add "${misc:Depends}" to Depends
> * configure and configure-stamp rules are not needed (probably also
>   build-stamp)
> * consider using "include /usr/share/dpatch/dpatch.make" in
> debian/rules (it will provide "patch" and "unpatch" rules)
> * dh_installexamples, dh_strip and dh_shlibdeps are not needed
> * shouldn't you generate siteid using something like uuidgen in
>   postinst? README mentions it...
> * Please bump python-support's required build version to >= 0.6
> * I don't know much about packaging stuff for Courier, but how about
>   providing python-courier package with courier module (and probably
>   python-pythonfilter package with filters or maybe moving filters
>   into private directory)

Piotr, I will make 1.6 available on mentors.debian.net within the week 
and I will definitely take a deeper look at all the above suggestions 
you've made.

Thanks,
Frederik Dannemare




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>:
Bug#504080; Package wnpp. (Tue, 10 Feb 2009 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paweł Tęcza" <ptecza@uw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Frederik Dannemare" <frederik@dannemare.net>. (Tue, 10 Feb 2009 20:00:03 GMT) Full text and rfc822 format available.

Message #100 received at 504080@bugs.debian.org (full text, mbox):

From: "Paweł Tęcza" <ptecza@uw.edu.pl>
To: debian-python@lists.debian.org
Cc: 504080@bugs.debian.org
Subject: Re: [RFR] Courier-Pythonfilter
Date: Tue, 10 Feb 2009 20:57:52 +0100
Dnia 2009-01-28, śro o godzinie 23:16 +0100, Piotr Ożarowski pisze:
> [please CC me or debian-python@l.d.o as I didn't subscribe this bug]

Hello Peter! ;)

Thank you very much for your time and your valuable comments! I believe
there will be helpful for better Courier-Pythonfilter debianization.

BTW, Ondrej is right. RFR is an abbreviation for Request For Review.

My best regards,

Pawel






Removed annotation that Bug was owned by "Frederik Dannemare" <frederik@dannemare.net>. Request was from Jan Hauke Rahm <jhr@debian.org> to control@bugs.debian.org. (Thu, 11 Mar 2010 17:09:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: courier-pythonfilter -- filter collection for the Courier MTA' from 'ITP: courier-pythonfilter -- filter collection for the Courier MTA' Request was from Jan Hauke Rahm <jhr@debian.org> to control@bugs.debian.org. (Thu, 11 Mar 2010 17:09:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:56:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.